Package org.eclipse.graphiti.ui.internal.util.ui.print

# Class AbstractFigureSelectionDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.graphiti.ui.internal.util.ui.print.AbstractFigureSelectionDialog

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jface.window.IShellProvider`, `org.eclipse.swt.events.SelectionListener`

Direct Known Subclasses:
  `ExportDiagramDialog`, `PrintFigureDialog`

public class AbstractFigureSelectionDialog extends org.eclipse.jface.dialogs.Dialog implements org.eclipse.swt.events.SelectionListener
This is an abstract dialog, where the user can choose between the whole figure or a selection.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.draw2d.IFigure`
`_allFigure`
`_allFigure` represents a figure that contains all printable layers
`protected org.eclipse.draw2d.IFigure`
`_figure`
`_figure` corresponds either to the value of `_allFigure` or to the value of `_selectionFigure`
`protected org.eclipse.gef.GraphicalViewer`
`_graphicalViewer`
`protected org.eclipse.swt.graphics.Image`
`_image`
Image corresponding to either one selected part of the diagram or the whole diagram (non-scaled version) - can be null if the diagram is too large and nothing is selected
`protected boolean`
`_insideInternalModify`
`protected IPrintPreferences`
`_preferences`
`protected org.eclipse.draw2d.IFigure`
`_selectionFigure`
`_selectionFigure` represents a figure which corresponds to the selected EditPart

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`AbstractFigureSelectionDialog(org.eclipse.swt.widgets.Shell shell, org.eclipse.gef.GraphicalViewer graphicalViewer)`
Creates a new AbstractPrintFigureDialog.

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanUp()`
`protected void`
`configureShell(org.eclipse.swt.widgets.Shell newShell)`
`protected org.eclipse.swt.widgets.Group`
`createChooseFigureGroup(org.eclipse.swt.widgets.Composite composite)`
`final org.eclipse.draw2d.IFigure`
`getFigure()`
`final org.eclipse.gef.GraphicalViewer`
`getGraphicalViewer()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`org.eclipse.swt.graphics.Image`
`getScaledImage()`
`void`
`setScaledImage(double scaleFactor)`
`void`
`setScaledImage(double scaleFactor, double upperBoundPixels)`
`void`
`updateControls()`
`void`
`widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void`
`widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, createDialogArea, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _graphicalViewer

protected org.eclipse.gef.GraphicalViewer _graphicalViewer

### _allFigure

protected org.eclipse.draw2d.IFigure _allFigure
`_allFigure` represents a figure that contains all printable layers

### _selectionFigure

protected org.eclipse.draw2d.IFigure _selectionFigure
`_selectionFigure` represents a figure which corresponds to the selected EditPart

### _insideInternalModify

protected boolean _insideInternalModify

### _figure

protected org.eclipse.draw2d.IFigure _figure
`_figure` corresponds either to the value of `_allFigure` or to the value of `_selectionFigure`

### _image

protected org.eclipse.swt.graphics.Image _image
Image corresponding to either one selected part of the diagram or the whole diagram (non-scaled version) - can be null if the diagram is too large and nothing is selected

### _preferences

protected IPrintPreferences _preferences

## Constructor Details

### AbstractFigureSelectionDialog

public AbstractFigureSelectionDialog(org.eclipse.swt.widgets.Shell shell, org.eclipse.gef.GraphicalViewer graphicalViewer)
Creates a new AbstractPrintFigureDialog.

Parameters:
  `shell` - The Shell of this dialog.
  `graphicalViewer` - The GraphicalViewer, which to print.

## Method Details

### configureShell

protected void configureShell(org.eclipse.swt.widgets.Shell newShell)

Overrides:
  `configureShell` in class `org.eclipse.jface.window.Window`

### createChooseFigureGroup

protected org.eclipse.swt.widgets.Group createChooseFigureGroup(org.eclipse.swt.widgets.Composite composite)

### widgetDefaultSelected

public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### updateControls

public void updateControls()

### getFigure

public final org.eclipse.draw2d.IFigure getFigure()

### getGraphicalViewer

public final org.eclipse.gef.GraphicalViewer getGraphicalViewer()

### setScaledImage

public void setScaledImage(double scaleFactor, double upperBoundPixels)

### setScaledImage

public void setScaledImage(double scaleFactor)

### getImage

public org.eclipse.swt.graphics.Image getImage()

### getScaledImage

public org.eclipse.swt.graphics.Image getScaledImage()

### cleanUp

public void cleanUp()